import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/argonPartner/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/argonPartner/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/argonPartner/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/argonPartner/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/argonPartner/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/argonPartner/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/argonPartner/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList, create, edit, add, update, remove, batchRemove
}